%define realname Imagick
%define modname imagick
%define soname %{modname}.so
%define inifile 55_%{modname}.ini
%define mod_src %{modname}.c

%define build_test 1
%define incdir %(php-config --include-dir)
%define extdir %(php-config --extension-dir)


Summary:	Provides a wrapper to the ImageMagick library for PHP
Name:		php-%{modname}
Epoch:		3
Version:	3.7.0
Release:	%mkrel 9
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/imagick
Source0:	https://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:	imagick-3.7.0-drop-version-check.patch
BuildRequires:	imagemagick-devel >= 6.3.8
Recommends:	imagemagick >= 6.3.8
BuildRequires:	php-devel >= 3:8.3.0
BuildRequires:	mercurial
BuildRequires:  pkgconfig(libpcre2-posix)
Requires:       php >= 3:8.3.0
Requires:       php-common = 3:8.3

%description
Imagick is a native php extension to create and modify images using the
ImageMagick API.

imagick is a native php-extension. See the examples in the
%{_docdir}/%{name}/examples directory for some hints on
how to use it.

%prep

%autosetup -S hg -p1 -n %{modname}-%{version}
#[ "../package.xml" != "/" ] && mv -f ../package.xml .

# lib64 fixes
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix} \
    --with-php-config=php-config

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{extdir}/

cat > README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP.
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}

[imagick]
imagick.locale_fix = 0
EOF


%files
%doc examples ChangeLog CREDITS LICENSE
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}


%changelog
* Fri Sep 08 2023 mokraemer <mokraemer> 3:3.7.0-9.mga10
+ Revision: 1985219
- fix phpize on build
- rebuild for php 8.3

* Mon Jun 26 2023 rapsys <rapsys> 3:3.7.0-8.mga9
+ Revision: 1963072
- Drop imagemagick library version check as it introduces a web server breaking warning
- Fix build
  Drop imagemagick library version check as it introduces a web server breaking warning

* Wed Apr 12 2023 mokraemer <mokraemer> 3:3.7.0-7.mga9
+ Revision: 1952818
- recompile for imagick update

* Fri Nov 04 2022 mokraemer <mokraemer> 3:3.7.0-6.mga9
+ Revision: 1902327
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 3:3.7.0-5.mga9
+ Revision: 1879776
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 3:3.7.0-4.mga9
+ Revision: 1869986
- fix dependancy error

* Thu Jul 21 2022 mokraemer <mokraemer> 3:3.7.0-3.mga9
+ Revision: 1869855
- rebuild for php 8.2

* Thu Mar 31 2022 umeabot <umeabot> 3:3.7.0-2.mga9
+ Revision: 1837156
- Mageia 9 Mass Rebuild

* Wed Jan 12 2022 mokraemer <mokraemer> 3:3.7.0-1.mga9
+ Revision: 1768079
- new version 3.7.0

* Wed Jan 05 2022 mokraemer <mokraemer> 3:3.6.0-1.mga9
+ Revision: 1766885
- new version 3.6.0

* Wed Dec 29 2021 wally <wally> 3:3.6.0-0.4.mga9
+ Revision: 1765246
- rebuild for imagemagick 7.0.11.14

* Fri Nov 26 2021 mokraemer <mokraemer> 3:3.6.0-0.3.mga9
+ Revision: 1759368
- rebuild for php 8.1

* Fri Nov 26 2021 joequant <joequant> 3:3.6.0-0.2.mga9
+ Revision: 1759299
- fix php version
- update package
- fix php-common requires

* Mon Jul 26 2021 mokraemer <mokraemer> 3:3.5.1-1.mga9
+ Revision: 1737865
- fix build
- new version 3.5.1
- new version 3.5.1

* Sat Feb 27 2021 neoclust <neoclust> 3:3.4.5-0.git20201230.3.mga9
+ Revision: 1692881
- Rebuild against new imagemagick

* Wed Dec 30 2020 mokraemer <mokraemer> 3:3.4.5-0.git20201230.2.mga8
+ Revision: 1665455
- prerelease for php8
- prerelease for php8
- prerelease for php8

* Fri Dec 04 2020 joequant <joequant> 2:3.4.5-0.20201126git.c5b8086.1.mga8
+ Revision: 1652559
- add libpcre2 dep
- update to prerelease to allow build for php 8

* Mon Nov 16 2020 kekepower <kekepower> 2:3.4.4-11.mga8
+ Revision: 1646569
- Rebuild for new Imagemagick lib major

* Thu Jun 18 2020 mokraemer <mokraemer> 2:3.4.4-10.mga8
+ Revision: 1596245
- fix dep to current version

* Fri May 15 2020 joequant <joequant> 2:3.4.4-9.mga8
+ Revision: 1583799
- rebuild to remove tainted package

* Tue Mar 24 2020 joequant <joequant> 2:3.4.4-8.mga8
+ Revision: 1559176
- change to soft requires for headless systems

* Thu Mar 12 2020 mokraemer <mokraemer> 2:3.4.4-6.mga8
+ Revision: 1555863
- rebuild

* Tue Feb 18 2020 umeabot <umeabot> 2:3.4.4-5.mga8
+ Revision: 1541574
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 30 2019 kekepower <kekepower> 2:3.4.4-4.mga8
+ Revision: 1474952
- Rebuild for new imagemagick

* Fri Nov 29 2019 mokraemer <mokraemer> 2:3.4.4-3.mga8
+ Revision: 1463526
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 2:3.4.4-2.mga8
+ Revision: 1454939
- removed dirname

* Thu May 02 2019 mokraemer <mokraemer> 2:3.4.4-1.mga7
+ Revision: 1396206
- new version 3.4.4

* Wed Dec 12 2018 mokraemer <mokraemer> 2:3.4.3-9.mga7
+ Revision: 1340442
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 2:3.4.3-8.mga7
+ Revision: 1325842
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 2:3.4.3-7.mga7
+ Revision: 1300224
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 rapsys <rapsys> 2:3.4.3-6.mga7
+ Revision: 1239047
- Rebuild for new imagick version

* Wed May 02 2018 kekepower <kekepower> 2:3.4.3-5.mga7
+ Revision: 1224491
- Rebuild for ImageMagic 7.0.7.29

* Sun Jan 21 2018 wally <wally> 2:3.4.3-4.mga7
+ Revision: 1195339
- rebuild for new imagemagick

* Wed Dec 27 2017 wally <wally> 2:3.4.3-3.mga7
+ Revision: 1185828
- rebuild for new imagemagick

* Sun Dec 03 2017 mokraemer <mokraemer> 2:3.4.3-2.mga7
+ Revision: 1181029
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 2:3.4.3-1.mga7
+ Revision: 1177155
- new version

* Sun May 28 2017 shlomif <shlomif> 2:3.4.1-6.mga6
+ Revision: 1105244
- rebuild for new imagemagick lib-major

* Tue Mar 07 2017 rapsys <rapsys> 2:3.4.1-5.mga6
+ Revision: 1089551
- Rebuild to avoid segfault after php update

* Sun Nov 27 2016 wally <wally> 2:3.4.1-4.mga6
+ Revision: 1070360
- drop unneeded freetype requires

* Tue Aug 23 2016 daviddavid <daviddavid> 2:3.4.1-3.mga6
+ Revision: 1047983
- rebuild for new imagemagick

* Tue Jun 28 2016 rapsys <rapsys> 2:3.4.1-2.mga6
+ Revision: 1037994
- Rebuild to avoid php warning: Imagick was compiled against Image Magick version 1683 but version 1684 is loaded. Imagick will run but may behave surprisingly

* Tue Mar 22 2016 oden <oden> 2:3.4.1-1.mga6
+ Revision: 993998
- 3.4.1

* Thu Feb 25 2016 oden <oden> 2:3.4.0-0.RC6.1.mga6
+ Revision: 979069
- fix build
- 3.4.0RC6

* Fri Feb 12 2016 umeabot <umeabot> 2:3.1.2-8.mga6
+ Revision: 958371
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2:3.1.2-7.mga5
+ Revision: 739889
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:3.1.2-6.mga5
+ Revision: 687143
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 2:3.1.2-5.mga5
+ Revision: 616567
- rebuilt for php-5.6.0beta1

* Sat Feb 08 2014 fwang <fwang> 2:3.1.2-4.mga5
+ Revision: 586235
- rebuild for new imagemagick

* Fri Jan 24 2014 pterjan <pterjan> 2:3.1.2-3.mga4
+ Revision: 567606
- Rebuild for new PHP

* Mon Oct 21 2013 umeabot <umeabot> 2:3.1.2-2.mga4
+ Revision: 536932
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 oden <oden> 2:3.1.2-1.mga4
+ Revision: 485908
- 3.1.2

* Mon Sep 23 2013 oden <oden> 2:3.1.1-1.mga4
+ Revision: 484333
- 3.1.1

* Fri Sep 06 2013 oden <oden> 2:3.1.0-1.mga4
+ Revision: 475358
- 3.1.0
- drop P0, seems fixed upstream

* Thu Jun 13 2013 oden <oden> 2:3.1.0-3.RC2.6.mga4
+ Revision: 442661
- rebuilt for php-5.5.0RC3

* Tue May 28 2013 fwang <fwang> 2:3.1.0-3.RC2.5.mga4
+ Revision: 429276
- fix magick include dir
- rebuild for new imagemagick

* Wed Jan 30 2013 oden <oden> 2:3.1.0-3.RC2.4.mga3
+ Revision: 393293
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 2:3.1.0-3.RC2.3.mga3
+ Revision: 375809
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 2:3.1.0-3.RC2.2.mga3
+ Revision: 330757
- rebuild for new imagemagick

* Sat Oct 13 2012 fwang <fwang> 2:3.1.0-3.RC2.1.mga3
+ Revision: 305173
- rebuild for new imagemagick

* Mon Jul 30 2012 spuhler <spuhler> 2:3.1.0-2RC2.mga3
+ Revision: 275877
- bumped Rel
  moved RC2 to release

* Sun Jul 29 2012 spuhler <spuhler> 1:3.1.0RC2-1.mga3
+ Revision: 275602
- upgrade to 3.1.0RC2

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:3.0.1-8.mga2
+ Revision: 223905
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 1:3.0.1-7.mga2
+ Revision: 185314
- rebuild against php-5.3.9

* Tue Sep 13 2011 fwang <fwang> 1:3.0.1-6.mga2
+ Revision: 142832
- rebuild for new imagemagick

* Sun Feb 06 2011 spuhler <spuhler> 1:3.0.1-5.mga1
+ Revision: 48000
- increase rel to 4 to be built
- removed buildroot definition from .spec

* Sun Jan 23 2011 ennael <ennael> 1:3.0.1-4.mga1
+ Revision: 35613
- imported package php-imagick

